import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { ConfirmDialog } from './constant';
export declare class QMSConfirmDialog implements OnInit, AfterViewInit {
    private fb;
    private _elRef;
    private dialogRef;
    info: ConfirmDialog;
    actionGroup: ElementRef;
    onResize(event: any): void;
    constructor(fb: FormBuilder, _elRef: ElementRef, dialogRef: MatDialogRef<QMSConfirmDialog>, data: any);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    orderActionButton(): void;
    save(): void;
    close(): void;
}
export declare class QMSFormDialog implements OnInit {
    ngOnInit(): void;
}
